ALERT: Some images may not load properly within the Knowledge Base Article. If you see a broken image, please right-click and select 'Open image in a new tab'. We apologize for this inconvenience.

Using Visual Studio 2017 & 2019 with Gen 8.6

book

Article ID: 213770

calendar_today

Updated On:

Products

Gen Gen - Workstation Toolset

Issue/Introduction

As there have been several KB articles created for using Microsoft Visual Studio 2017 & 2019 with CA Gen 8.6 this hub article pulls them all together for easier reference.

Environment

Release : 8.6
Component : CA Gen Build Tool
Third-Party software: Microsoft Visual Studio 2017 and 2019

Resolution

The KBs are listed in different categories:

Visual Studio Supported versions:
CA Gen 8.6 support of Visual Studio 2017 Enterprise

Visual Studio Installation Considerations:
Required Microsoft Visual Studio 2017 or 2019 options with CA Gen 8.6

Build Tool configuration:
CA Gen 8.6 Build Tool token OPT.VSVERSION value when using Microsoft Visual Studio 2017 or Microsoft Visual Studio 2019

Build Tool errors:
CA Gen Build Tool error "OPT.VSVERSION contains an unknown value or specified Visual Studio compiler not installed"
Error: HHC.EXE not found in the PATH during CA Gen 8.6 build using Visual Studio 2017 or 2019
Errors building CA Gen 8.6 COM proxy with both OPT.BITS set to 32 and 64 using Visual Studio 2017
CA Gen 8.6 with Visual Studio 2017 or 2019 resource compile fails with "fatal error RC1015: cannot open include file 'afxres.h'"


Additional Information

CA Gen 8.6 > Technical Requirements > Third-Party Software Version > Compilers

CA Gen Complete (PTF WKS86200), the current base-level PTF version of CA Gen 8.6 for all future PTFs, supports both Visual Studio 2017 & 2019.